import App from './App'

import {isLogin,TOKEN_KEY} from './utils/common.js'

Vue.prototype.$isLogin = isLogin
Vue.prototype.$TOKEN_KEY = TOKEN_KEY

// #ifndef VUE3
import Vue from 'vue'
import './uni.promisify.adaptor'
Vue.config.productionTip = false
App.mpType = 'app'
const app = new Vue({
  ...App
})
app.$mount()
// #endif

// #ifdef VUE3
import { createSSRApp } from 'vue'
export function createApp() {
  const app = createSSRApp(App)
  return {
    app
  }
}
// #endif